Toggle Escalation
curl --request PATCH \
--url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v1/chatting/{chatbotId}/thread/{threadId}/escalate \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "Thread escalated to agent successfully",
"data": {
"thread": {
"id": "<string>",
"chatbotId": "<string>",
"visitorId": "<string>",
"title": "<string>",
"anonymous": true,
"unreadMessagesCount": 123,
"escalated": true,
"important": true,
"resolved": true,
"archived": true,
"tags": [
"<string>"
],
"positiveCount": 123,
"negativeCount": 123,
"platformSource": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"visitorName": "<string>",
"visitorEmail": "<string>",
"visitorPhone": "<string>",
"botIconSrc": "<string>",
"userIconSrc": "<string>",
"agentIconSrc": "<string>",
"bubbleIconSrc": "<string>",
"llmModel": {
"id": "<string>",
"provider": "<string>",
"title": "<string>"
}
},
"systemMessage": {
"id": "<string>",
"threadId": "<string>",
"chatbotId": "<string>",
"messageType": "AGENT_MESSAGE",
"systemMessageType": "<string>",
"content": "<string>",
"contentTimestamp": "2023-11-07T05:31:56Z",
"agentName": "<string>",
"parentMessageId": "<string>",
"llmModelId": "<string>",
"reaction": "<string>",
"source": [
{}
],
"isEdited": true,
"editedBy": "<string>",
"editedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
}Threads
Escalate Conversation
Toggles the escalated flag on a thread and inserts a system message
PATCH
/
v1
/
chatting
/
{chatbotId}
/
thread
/
{threadId}
/
escalate
Toggle Escalation
curl --request PATCH \
--url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v1/chatting/{chatbotId}/thread/{threadId}/escalate \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "Thread escalated to agent successfully",
"data": {
"thread": {
"id": "<string>",
"chatbotId": "<string>",
"visitorId": "<string>",
"title": "<string>",
"anonymous": true,
"unreadMessagesCount": 123,
"escalated": true,
"important": true,
"resolved": true,
"archived": true,
"tags": [
"<string>"
],
"positiveCount": 123,
"negativeCount": 123,
"platformSource": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"visitorName": "<string>",
"visitorEmail": "<string>",
"visitorPhone": "<string>",
"botIconSrc": "<string>",
"userIconSrc": "<string>",
"agentIconSrc": "<string>",
"bubbleIconSrc": "<string>",
"llmModel": {
"id": "<string>",
"provider": "<string>",
"title": "<string>"
}
},
"systemMessage": {
"id": "<string>",
"threadId": "<string>",
"chatbotId": "<string>",
"messageType": "AGENT_MESSAGE",
"systemMessageType": "<string>",
"content": "<string>",
"contentTimestamp": "2023-11-07T05:31:56Z",
"agentName": "<string>",
"parentMessageId": "<string>",
"llmModelId": "<string>",
"reaction": "<string>",
"source": [
{}
],
"isEdited": true,
"editedBy": "<string>",
"editedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"361628903185318481"
Example:
"abc-thread-uuid"
⌘I